Subject: This tree has no nodes. No nodes, how does it parse? Recursively!

From: [email-masked] (Mike Taylor)
Date: 17 Feb 89 00:30:04 GMT

I've got this compilation of variations on the "My Dog's Got no Nose"
joke, which I thought you might like to use in rec.humor.funny.  I have
read your list of submission guidelines, and I know that you don't like
people to submit groups of jokes all at once, *but* ...  Well, when you
have read through these, you will realise that a lot of them don't make
sense out of context.

You will be glad to see that these are all fully attributed.  Mike Taylor
is me, Andy Charles, Andreas Pagel and Mike Lessacher are friends, and
Andy Clews is a systems administrator I happen to be in email contact
with, due to him liking the original MDGNN compendium, (which consisted
basically of the first fourteen of these).  You should know that this
subset of the following was posted to eunet.jokes, about 18 months ago,
but that otherwise, these are all completely new.

I hope you can use these, then.  Keep up the good work with the group!

/*--------------------------------------------------------------------------*/

The Complete "My Dog's Got No Nose" Compendium
==============================================

1st man:	My dog's got no nose.
2nd man:	How does he smell?
1st man:	Awful.
			(Traditional)

1st man:	My dog's got no nose.
2nd man:	How does he smell?
1st man:	You poke his eyes out.
			(Mike Taylor)

1st man:	My dog's got no nose.
2nd man:	How does he smell?
1st man:	(Pause) ...  Well, it's kind of hard to describe really.
			(Mike Taylor)

1st man:	My dog's got no nose.
2nd man:	How does he smell?
1st man:	(Pause) ...  It's OK, he has got one really.
			(Andreas Pagel)

1st man:	My dog's got no nose.
2nd man:	How does he smell?
1st man:	(Pause) ...  Oh, go and get a glass of water.
			(Andy Charles, incorporating material from
			"Monty Python and the Holy Grail")

1st man:	My dog's got no ears.
2nd man:	How does he smell?
1st man:	With his nose, obviously.
			(Mike Taylor)
 
1st man:	My dog's got no nose.
2nd man:	How does he smell?
1st man:	Of his own accord.
			(Trad., arr. Mike Taylor)

1st man:	My dog's over thirteen billion miles long.
2nd man:	How does he smell?
1st man:	Don't change the subject.
			(Mike Taylor)

1st man:	My dog's literally doesn't exist.
2nd man:	How does he smell?
1st man:	Don't ask stupid questions.
			(Mike Taylor)

1st man:	My wife's gone to the West Indies.
2nd man:	How does she smell?
1st man:	When it's ajar.
			(Trad., arr. Mike Taylor)

1st man:	How do you make a Venetian Urn?
2nd man:	I don't know, how _do_ you make a Venetian Urn?
1st man:	(Pause) ... I'm sorry, I appear to have made a mistake.
			(Mike Taylor)

1st man:	My frog's got no nose.
2nd man:	How does it smell?
1st man:	Frogs can't smell.
			(Mike Taylor)

1st man:	My dog, who incidentally had no nose, died yesterday.
2nd man:	How did he smell?
1st man:	We shall never know.  He died before he could tell me. 
			(Andy Clews)

1st Restaurant owner:  My dog he die yesterday.
2nd Restaurant owner:  How do he smell?
1st Restaurant owner:  Don't know, but customers think he taste pretty good.
	(Country of origin omitted here for sake of international relations)
			(Andy Clews)

1st Circumlocutionist:  I have in my possession an animal belonging to
	the family Canidae, and it appears that he does not possess any
	extra-facial olfactory organs.
2nd Circumlocutionist: Could you therefore impart to me such knowledge as
	may be necessary to describe how that animal circumvents the problem
	of satisfying his olfactory senses?
1st Circumlocutionist: Unfortunately the non-ambiguity of your enquiry does
	not easily permit me to provide a clever answer, but I am in fact
	thinking of referring the animal to an olfactologist. However, the
	animal does have a fairly unpleasant body odour, should you be
	interested.
			(Andy Clews)

Cannibal Dog:	My dog's got no nose.
			(Mike Lessacher)

Senile old fool:   My dog's got no nose.
Young delinquent:  Why is that?
Senile old fool:   He's been dead for 30 years.
			(Mike Lessacher)

Senile old fool:   My dog's got no nose.
Young delinquent:  Why is that?
Senile old fool:   I've been dead for 30 years.
			(Mike Lessacher)

--
Mike Taylor
--